@mattab opened this Issue on February 8th 2016 Owner

Requirement for: https://github.com/piwik/piwik/issues/9107

We shall collect & measure which Mysql version are currently being used by the Piwik users community. Once we have the metric /data we can more easily take a decision regarding #9107

@hpvd commented on February 9th 2016

good idea!

Doing this, one maybe not only should look solely on the share of people using old mysql version but also who uses it.
Don't know yet how to do it best, but one should be careful giving the power of influencing decisions to the right ones.
(imho there is absolutely no reason for responsible people to use mysql before 5.x)

@gaumondp commented on February 9th 2016

MySQL 4.1 was released in 2003, I bet there are no distros having it in the last 5 years or so.

Even SLES 11 (released in 2009) has MySQL 5.5 (but sadly PHP 5.3...)

@tsteur commented on February 10th 2016 Owner

@mattab I issued PR in https://github.com/piwik/piwik/pull/9742

Need to update api.piwik.org to measure it.

I will also update Anonymous tracking plugin

@tsteur commented on February 10th 2016 Owner

Issues also PR in https://github.com/piwik/plugin-AnonymousPiwikUsageMeasurement/pull/30 for Anonymous tracking plugin

@tsteur commented on February 10th 2016 Owner

@mattab I pushed an update to piwik-api (accidentally to master). We need to deploy it to the server and update the DB schema. Not sure if I was supposed to provide a DB update statement

@mattab commented on February 10th 2016 Owner

@tsteur sounds good - main schema updated and another one is in progress | 569 | copy to tmp table | ALTER TABLE api_update_check_consolidated ADD mysql_version VARCHAR(250) NOT NULL AFTER php_version |

@mattab commented on February 10th 2016 Owner

Schema update is completed and Mysql version is now tracked :+1:

This Issue was closed on February 10th 2016
Powered by GitHub Issue Mirror